%define module	Encode-JIS2K
%define name	perl-%{module}
%define version	0.02
%define release %mkrel 1

%define _requires_exceptions perl(Encode::JIS2K::2022JP3)
%define _provides_exceptions perl(Encode::JIS7::2022JP3)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Encode::JIS2K - JIS X 0212 (aka JIS 2000) Encodings
Group:		Development/Perl
License:	Artistic
Source:		http://www.cpan.org/authors/id/S/SB/SBURKE/%{module}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module implements encodings that covers JIS X 0213
charset (AKA JIS 2000, hence the module name).  Encodings
supported are as follows.

  Canonical     Alias                                      Description
  --------------------------------------------------------------------
  euc-jisx0213  qr/\beuc.*jp[ \-]?(?:2000|2k)$/i          EUC-JISX0213
                qr/\bjp.*euc[ \-]?(2000|2k)$/i
                qr/\bujis[ \-]?(?:2000|2k)$/i
  shiftjisx0123 qr/\bshift.*jis(?:2000|2k)$/i           Shift_JISX0213
                qr/\bsjisp \-]?(?:2000|2k)$/i

  iso-2022-jp-3
  jis0213-1-raw                         JIS X 0213 plane 1, raw format
  jis0213-2-raw                         JIS X 0213 plane 2, raw format
  --------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/Encode
%{perl_vendorarch}/auto/Encode


%changelog
* Fri Sep 12 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 0.02-1nxd2008.1
- initial package for Mandriva
